Debian Bug report logs - #657281
src/java/org/apache/fop/pdf/ sRGB Color Space Profile.icm is non-free

version graph

Package: fop; Maintainer for fop is Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>; Source for fop is src:fop.

Reported by: Karl Goetz <karl@kgoetz.id.au>

Date: Tue, 24 Jan 2012 23:06:02 UTC

Severity: serious

Tags: wheezy-ignore

Found in versions fop/1:1.0.dfsg2-5, fop/1:1.0.dfsg2-6

Forwarded to https://issues.apache.org/jira/browse/FOP-2025

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#657244; Package batik. (Tue, 24 Jan 2012 23:06:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Karl Goetz <karl@kgoetz.id.au>:
New Bug report received and forwarded. Copy sent to Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>. (Tue, 24 Jan 2012 23:06:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Karl Goetz <karl@kgoetz.id.au>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: batik bundles a non free colour profile in pdf-transcoder.jar
Date: Wed, 25 Jan 2012 09:54:40 +1100
[Message part 1 (text/plain, inline)]
Package: batik
Severity: serious
Justification: may not be distributed without fee if modified
User: gnewsense-dev@nongnu.org
Usertags: gnewsense libreplanet

Hi,
>From [1], it seems the pdf-transcoder.jar in batik contains a colour  
profile with a crazy licence.
 "...permission to use, copy and distribute this file for any purpose is
 hereby granted without fee, provided that the file is not changed
 including the HP copyright notice tag, ... "

The file will need to be removed from the jar, or the jar (and pdf
support) removed from batik :/

[1] https://savannah.nongnu.org/bugs/?34579
thanks,
kk


-- System Information:
Debian Release: 6.0.3
  APT prefers stable
  APT policy: (990, 'stable')
Architecture: i386 (i686)

Kernel: Linux 2.6.32-5-686-bigmem (SMP w/2 CPU cores)
Locale: LANG=en_AU.utf8, LC_CTYPE=en_AU.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

-- 
Karl Goetz, (Kamping_Kaiser / VK7FOSS)
http://www.kgoetz.id.au
No, I won't join your social networking group
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#657244; Package batik. (Wed, 25 Jan 2012 08:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Fourmond <fourmond@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>. (Wed, 25 Jan 2012 08:00:04 GMT) Full text and rfc822 format available.

Message #10 received at 657244@bugs.debian.org (full text, mbox):

From: Vincent Fourmond <fourmond@debian.org>
To: Karl Goetz <karl@kgoetz.id.au>, 657244@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#657244: batik bundles a non free colour profile in pdf-transcoder.jar
Date: Wed, 25 Jan 2012 08:57:24 +0100
clone 657244 -1
reassign -1 fop
found -1 fop/1:1.0.dfsg2-6
retitle -1 src/java/org/apache/fop/pdf/ sRGB Color Space Profile.icm is non-free
thanks

On Tue, Jan 24, 2012 at 11:54 PM, Karl Goetz <karl@kgoetz.id.au> wrote:
> >From [1], it seems the pdf-transcoder.jar in batik contains a colour
> profile with a crazy licence.
>  "...permission to use, copy and distribute this file for any purpose is
>  hereby granted without fee, provided that the file is not changed
>  including the HP copyright notice tag, ... "
>
> The file will need to be removed from the jar, or the jar (and pdf
> support) removed from batik :/

  Actually, it's more annoying than this. As far as I can tell, batik
doesn't use this binary jar (and it should have been stripped from the
debian source ages ago). Unfortunately, the jar comes from fop, and
the incriminated file is present in fop source, which makes it
unsuitable for main...

  Thanks for your report,

      Vincent




Bug 657244 cloned as bug 657281. Request was from Vincent Fourmond <fourmond@debian.org> to control@bugs.debian.org. (Wed, 25 Jan 2012 08:00:04 GMT) Full text and rfc822 format available.

Bug reassigned from package 'batik' to 'fop'. Request was from Vincent Fourmond <fourmond@debian.org> to control@bugs.debian.org. (Wed, 25 Jan 2012 08:00:07 GMT) Full text and rfc822 format available.

Bug Marked as found in versions fop/1:1.0.dfsg2-6. Request was from Vincent Fourmond <fourmond@debian.org> to control@bugs.debian.org. (Wed, 25 Jan 2012 08:00:08 GMT) Full text and rfc822 format available.

Changed Bug title to 'src/java/org/apache/fop/pdf/ sRGB Color Space Profile.icm is non-free' from 'batik bundles a non free colour profile in pdf-transcoder.jar' Request was from Vincent Fourmond <fourmond@debian.org> to control@bugs.debian.org. (Wed, 25 Jan 2012 08:00:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#657281; Package fop. (Tue, 31 Jan 2012 10:52:32 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Fourmond <fourmond@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>. (Tue, 31 Jan 2012 10:52:34 GMT) Full text and rfc822 format available.

Message #23 received at 657281@bugs.debian.org (full text, mbox):

From: Vincent Fourmond <fourmond@debian.org>
To: control@bugs.debian.org, 657281@bugs.debian.org
Subject: This bug are already present in testing...
Date: Tue, 31 Jan 2012 11:49:44 +0100
found 657281 fop/1:1.0.dfsg2-5
thanks




Bug Marked as found in versions fop/1:1.0.dfsg2-5. Request was from Vincent Fourmond <fourmond@debian.org> to control@bugs.debian.org. (Tue, 31 Jan 2012 10:52:40 GMT) Full text and rfc822 format available.

Set Bug forwarded-to-address to 'https://issues.apache.org/bugzilla/show_bug.cgi?id=52704'. Request was from Sylvestre Ledru <sylvestre@inria.fr> to control@bugs.debian.org. (Tue, 21 Feb 2012 12:41:42 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#657281; Package fop. (Thu, 31 May 2012 11:34:17 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mathieu Malaterre <malat@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>. (Thu, 31 May 2012 11:34:20 GMT) Full text and rfc822 format available.

Message #32 received at 657281@bugs.debian.org (full text, mbox):

From: Mathieu Malaterre <malat@debian.org>
To: 657281@bugs.debian.org
Cc: Sylvestre Ledru <sylvestre@debian.org>
Subject: fop vs non-free ?
Date: Thu, 31 May 2012 13:32:44 +0200
Any news on this bug ?

$ cat https://issues.apache.org/bugzilla/show_bug.cgi?id=52704#c12
Sylvestre Ledru 2012-04-13 11:26:24 UTC
I am in touch with HP on this subject. Looks like they might be able
to do something about this file.


Thanks




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#657281; Package fop. (Thu, 31 May 2012 12:12:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sylvestre Ledru <sylvestre@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>. (Thu, 31 May 2012 12:12:52 GMT) Full text and rfc822 format available.

Message #37 received at 657281@bugs.debian.org (full text, mbox):

From: Sylvestre Ledru <sylvestre@debian.org>
To: Mathieu Malaterre <malat@debian.org>, 657281@bugs.debian.org
Subject: Re: Bug#657281: fop vs non-free ?
Date: Thu, 31 May 2012 14:07:57 +0200
On 31/05/2012 13:32, Mathieu Malaterre wrote:
> Any news on this bug ?
>
> $ cat https://issues.apache.org/bugzilla/show_bug.cgi?id=52704#c12
> Sylvestre Ledru 2012-04-13 11:26:24 UTC
> I am in touch with HP on this subject. Looks like they might be able
> to do something about this file.
>
>
I pinged my contact a few days ago. I let you know once I get more 
information.

S





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#657281; Package fop. (Thu, 30 Aug 2012 15:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Moritz Muehlenhoff <jmm@inutil.org>:
Extra info received and forwarded to list. Copy sent to Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>. (Thu, 30 Aug 2012 15:57:03 GMT) Full text and rfc822 format available.

Message #42 received at 657281@bugs.debian.org (full text, mbox):

From: Moritz Muehlenhoff <jmm@inutil.org>
To: Sylvestre Ledru <sylvestre@debian.org>
Cc: Mathieu Malaterre <malat@debian.org>, 657281@bugs.debian.org
Subject: Re: Bug#657281: fop vs non-free ?
Date: Thu, 30 Aug 2012 17:51:41 +0200
On Thu, May 31, 2012 at 02:07:57PM +0200, Sylvestre Ledru wrote:
> On 31/05/2012 13:32, Mathieu Malaterre wrote:
>> Any news on this bug ?
>>
>> $ cat https://issues.apache.org/bugzilla/show_bug.cgi?id=52704#c12
>> Sylvestre Ledru 2012-04-13 11:26:24 UTC
>> I am in touch with HP on this subject. Looks like they might be able
>> to do something about this file.
>>
>>
> I pinged my contact a few days ago. I let you know once I get more  
> information.

What's the status?

Cheers,
        Moritz



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#657281; Package fop. (Thu, 30 Aug 2012 16:03:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sylvestre Ledru <sylvestre@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>. (Thu, 30 Aug 2012 16:03:06 GMT) Full text and rfc822 format available.

Message #47 received at 657281@bugs.debian.org (full text, mbox):

From: Sylvestre Ledru <sylvestre@debian.org>
To: Moritz Muehlenhoff <jmm@inutil.org>
Cc: Mathieu Malaterre <malat@debian.org>, 657281@bugs.debian.org
Subject: Re: Bug#657281: fop vs non-free ?
Date: Thu, 30 Aug 2012 17:59:12 +0200
Le 30/08/2012 17:51, Moritz Muehlenhoff a écrit :
> On Thu, May 31, 2012 at 02:07:57PM +0200, Sylvestre Ledru wrote:
>> On 31/05/2012 13:32, Mathieu Malaterre wrote:
>>> Any news on this bug ?
>>>
>>> $ cat https://issues.apache.org/bugzilla/show_bug.cgi?id=52704#c12
>>> Sylvestre Ledru 2012-04-13 11:26:24 UTC
>>> I am in touch with HP on this subject. Looks like they might be able
>>> to do something about this file.
>>>
>>>
>> I pinged my contact a few days ago. I let you know once I get more
>> information.
> What's the status?
>
No news yet.. Sorry

Sylvestre



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#657281; Package fop. (Sun, 16 Dec 2012 13:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to alberto fuentes <pajaro@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>. (Sun, 16 Dec 2012 13:09:03 GMT) Full text and rfc822 format available.

Message #52 received at 657281@bugs.debian.org (full text, mbox):

From: alberto fuentes <pajaro@gmail.com>
To: 657281@bugs.debian.org
Subject: Any news on this?
Date: Sun, 16 Dec 2012 14:04:52 +0100
[Message part 1 (text/plain, inline)]
Any news on this?
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#657281; Package fop. (Sun, 16 Dec 2012 17:33:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sylvestre Ledru <sylvestre@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>. (Sun, 16 Dec 2012 17:33:05 GMT) Full text and rfc822 format available.

Message #57 received at 657281@bugs.debian.org (full text, mbox):

From: Sylvestre Ledru <sylvestre@debian.org>
To: alberto fuentes <pajaro@gmail.com>, 657281@bugs.debian.org
Subject: src/java/org/apache/fop/pdf/ sRGB Color Space Profile.icm is non-free [was: Re: Bug#657281: Any news on this?]
Date: Sun, 16 Dec 2012 18:31:11 +0100
On 16/12/2012 14:04, alberto fuentes wrote:
> Any news on this?

Still No :/

Next time, please provide some context in your email ;)


Sylvestre





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#657281; Package fop. (Sun, 16 Dec 2012 23:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to alberto fuentes <pajaro@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>. (Sun, 16 Dec 2012 23:45:04 GMT) Full text and rfc822 format available.

Message #62 received at 657281@bugs.debian.org (full text, mbox):

From: alberto fuentes <pajaro@gmail.com>
To: Sylvestre Ledru <sylvestre@debian.org>
Cc: 657281@bugs.debian.org
Subject: Re: src/java/org/apache/fop/pdf/ sRGB Color Space Profile.icm is non-free [was: Re: Bug#657281: Any news on this?]
Date: Mon, 17 Dec 2012 00:42:14 +0100
[Message part 1 (text/plain, inline)]
Sorry about that :)

I did not blindly ping the bug.

Since its being a while without response and we are getting closer to
release, i was thinking about requesting a wheezy-ignore for the bug or
something to the release team

What do you think about that?


On Sun, Dec 16, 2012 at 6:31 PM, Sylvestre Ledru <sylvestre@debian.org>wrote:

> On 16/12/2012 14:04, alberto fuentes wrote:
> > Any news on this?
>
> Still No :/
>
> Next time, please provide some context in your email ;)
>
>
> Sylvestre
>
>
>
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#657281; Package fop. (Mon, 17 Dec 2012 07:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sylvestre Ledru <sylvestre@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>. (Mon, 17 Dec 2012 07:21:03 GMT) Full text and rfc822 format available.

Message #67 received at 657281@bugs.debian.org (full text, mbox):

From: Sylvestre Ledru <sylvestre@debian.org>
To: alberto fuentes <pajaro@gmail.com>
Cc: 657281@bugs.debian.org
Subject: Re: src/java/org/apache/fop/pdf/ sRGB Color Space Profile.icm is non-free [was: Re: Bug#657281: Any news on this?]
Date: Mon, 17 Dec 2012 08:19:19 +0100
On 17/12/2012 00:42, alberto fuentes wrote:
> Sorry about that :)
No worries

> Since its being a while without response and we are getting closer to
> release, i was thinking about requesting a wheezy-ignore for the bug or
> something to the release team
> 
> What do you think about that?
I am OK for the wheezy-ignore...

Thanks for the ping,
Sylvestre





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#657281; Package fop. (Sat, 26 Jan 2013 12:39:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Neil McGovern <neil@halon.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>. (Sat, 26 Jan 2013 12:39:06 GMT) Full text and rfc822 format available.

Message #72 received at 657281@bugs.debian.org (full text, mbox):

From: Neil McGovern <neil@halon.org.uk>
To: alberto fuentes <pajaro@gmail.com>
Cc: Sylvestre Ledru <sylvestre@debian.org>, 657281@bugs.debian.org
Subject: Re: src/java/org/apache/fop/pdf/ sRGB Color Space Profile.icm is non-free [was: Re: Bug#657281: Any news on this?]
Date: Sat, 26 Jan 2013 12:36:16 +0000
On Mon, Dec 17, 2012 at 12:42:14AM +0100, alberto fuentes wrote:
> Since its being a while without response and we are getting closer to
> release, i was thinking about requesting a wheezy-ignore for the bug or
> something to the release team
> 

I'm not happy adding an ignore tag if there isn't any evidence of
progress being made.

(FWIW, contacting debian-release is useful if you want a ignore tag)

Neil



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#657281; Package fop. (Sat, 26 Jan 2013 13:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to alberto fuentes <pajaro@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>. (Sat, 26 Jan 2013 13:42:03 GMT) Full text and rfc822 format available.

Message #77 received at 657281@bugs.debian.org (full text, mbox):

From: alberto fuentes <pajaro@gmail.com>
To: Neil McGovern <neil@halon.org.uk>
Cc: Sylvestre Ledru <sylvestre@debian.org>, 657281@bugs.debian.org
Subject: Re: src/java/org/apache/fop/pdf/ sRGB Color Space Profile.icm is non-free [was: Re: Bug#657281: Any news on this?]
Date: Sat, 26 Jan 2013 14:39:17 +0100
ops... i totally forgot to resend this to release team...

On Sat, Jan 26, 2013 at 1:36 PM, Neil McGovern <neil@halon.org.uk> wrote:
> On Mon, Dec 17, 2012 at 12:42:14AM +0100, alberto fuentes wrote:
>> Since its being a while without response and we are getting closer to
>> release, i was thinking about requesting a wheezy-ignore for the bug or
>> something to the release team
>>
>
> I'm not happy adding an ignore tag if there isn't any evidence of
> progress being made.
>
> (FWIW, contacting debian-release is useful if you want a ignore tag)
>
> Neil



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#657281; Package fop. (Wed, 30 Jan 2013 01:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stuart Prescott <stuart@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>. (Wed, 30 Jan 2013 01:51:03 GMT) Full text and rfc822 format available.

Message #82 received at 657281@bugs.debian.org (full text, mbox):

From: Stuart Prescott <stuart@debian.org>
To: 657281@bugs.debian.org
Subject: Re: src/java/org/apache/fop/pdf/ sRGB Color Space Profile.icm is non-free
Date: Wed, 30 Jan 2013 01:46:37 +0000
[Message part 1 (text/plain, inline)]
Hi!

This file seems to have been copied into quite a few different source trees. See 
#699301, #699304, #699305 and #699306. A relicensing solution from HP would 
be fantastic about now in the wheezy release cycle.

Looking through source packages, with an sRGB*icm file in them, the following 
source packages have an sRGB*icm file that has a different md5sum to the 
offending file for these bugs:

	argyll
	calligra
	dispcalgui
	rawtherapee

I have not looked at how these icm files are licensed, where they have come 
from or whether they would be suitable as a dfsg-free replacement for sRGB 
Color Space Profile.icm. Perhaps someone who knows more than me about colour 
management and icm can do so...

cheers
Stuart

-- 
Stuart Prescott    http://www.nanonanonano.net/   stuart@nanonanonano.net
Debian Developer   http://www.debian.org/         stuart@debian.org
GPG fingerprint    BE65 FD1E F4EA 08F3 23D4 3C6D 9FE8 B8CD 71C5 D1A8
GPG fingerprint    90E2 D2C1 AD14 6A1B 7EBB 891D BBC1 7EBB 1396 F2F7
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#657281; Package fop. (Sat, 02 Feb 2013 23:18:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stuart Prescott <stuart@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>. (Sat, 02 Feb 2013 23:18:09 GMT) Full text and rfc822 format available.

Message #87 received at 657281@bugs.debian.org (full text, mbox):

From: Stuart Prescott <stuart@debian.org>
To: 657281@bugs.debian.org
Subject: Re: Bug#657281: sRGB Color Space Profile.icm
Date: Sat, 2 Feb 2013 23:08:18 +0000
There has been some further discussion and suggestions on how this could be 
handled in the short term and also in the longer term in the following thread:

http://lists.freedesktop.org/archives/openicc/2013q1/004907.html

-- 
Stuart Prescott    http://www.nanonanonano.net/   stuart@nanonanonano.net
Debian Developer   http://www.debian.org/         stuart@debian.org
GPG fingerprint    BE65 FD1E F4EA 08F3 23D4 3C6D 9FE8 B8CD 71C5 D1A8
GPG fingerprint    90E2 D2C1 AD14 6A1B 7EBB 891D BBC1 7EBB 1396 F2F7



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#657281; Package fop. (Mon, 04 Feb 2013 22:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Francesco Poli <invernomuto@paranoici.org>:
Extra info received and forwarded to list. Copy sent to Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>. (Mon, 04 Feb 2013 22:09:03 GMT) Full text and rfc822 format available.

Message #92 received at 657281@bugs.debian.org (full text, mbox):

From: Francesco Poli <invernomuto@paranoici.org>
To: Stuart Prescott <stuart@debian.org>
Cc: 657281@bugs.debian.org
Subject: Re: Bug#657281: sRGB Color Space Profile.icm
Date: Mon, 4 Feb 2013 23:06:23 +0100
[Message part 1 (text/plain, inline)]
On Sat, 2 Feb 2013 23:08:18 +0000 Stuart Prescott wrote:

> There has been some further discussion and suggestions on how this could be 
> handled in the short term and also in the longer term in the following thread:
> 
> http://lists.freedesktop.org/archives/openicc/2013q1/004907.html

Can we make some progress on this bug?
I don't know much about colorimetry and ICC profiles, but I would
really like to see this issue solved.

I've just glanced over the thread you pointed out.

It seems to me that one suggestion is to use
compatibleWithAdobeRGB1998.icc or sRGB.icc from the icc-profiles-free
package [1].

[1] http://lists.freedesktop.org/archives/openicc/2013q1/004931.html

Can this work correctly? Can this be done?

I would rather avoid using files released under the ugly GNU AfferoGPL
v3 (such as those in the argyll package), as I personally consider such
works as non-free (I disagree with the ftp-masters' conclusions on this
[2][3]).

[2] https://lists.debian.org/debian-legal/2007/11/msg00233.html
[3] http://bugs.debian.org/495721#28


-- 
 http://www.inventati.org/frx/frx-gpg-key-transition-2010.txt
 New GnuPG key, see the transition document!
..................................................... Francesco Poli .
 GnuPG key fpr == CA01 1147 9CD2 EFDF FB82  3925 3E1C 27E1 1F69 BFFE
[Message part 2 (application/pgp-signature, inline)]

Added tag(s) wheezy-ignore. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Thu, 28 Feb 2013 20:15:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#657281; Package fop. (Mon, 06 Jan 2014 18:30:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Francesco Poli <invernomuto@paranoici.org>:
Extra info received and forwarded to list. Copy sent to Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>. (Mon, 06 Jan 2014 18:30:05 GMT) Full text and rfc822 format available.

Message #99 received at 657281@bugs.debian.org (full text, mbox):

From: Francesco Poli <invernomuto@paranoici.org>
To: 657281@bugs.debian.org
Cc: Stuart Prescott <stuart@debian.org>
Subject: Re: Bug#657281: sRGB Color Space Profile.icm
Date: Mon, 6 Jan 2014 19:26:05 +0100
[Message part 1 (text/plain, inline)]
On Mon, 4 Feb 2013 23:06:23 +0100 Francesco Poli wrote:

> On Sat, 2 Feb 2013 23:08:18 +0000 Stuart Prescott wrote:
> 
> > There has been some further discussion and suggestions on how this could be 
> > handled in the short term and also in the longer term in the following thread:
> > 
> > http://lists.freedesktop.org/archives/openicc/2013q1/004907.html
> 
> Can we make some progress on this bug?

Is there any progress on this bug?

> I don't know much about colorimetry and ICC profiles, but I would
> really like to see this issue solved.
[...]
>
> It seems to me that one suggestion is to use
> compatibleWithAdobeRGB1998.icc or sRGB.icc from the icc-profiles-free
> package [1].
> 
> [1] http://lists.freedesktop.org/archives/openicc/2013q1/004931.html
> 
> Can this work correctly? Can this be done?

I seem to understand that Fedora fixed the corresponding issue
(mentioned in [2]) by replacing [3] the non-free profiles with the ones
found in their package named "icc-profiles-openicc".
That Fedora package [4] seems to (more or less) correspond to the Debian
package named icc-profiles-free [5], which is under the zlib
license [6].
Please correct me, if I am wrong.

Could this same strategy work for Debian, as well?

Please let me know.
Thanks for your time!

[2] https://issues.apache.org/bugzilla/show_bug.cgi?id=52704#c21
[3] https://bugzilla.redhat.com/show_bug.cgi?id=848659#c3
[4] http://pkgs.fedoraproject.org/cgit/icc-profiles-openicc.git/tree/icc-profiles-openicc.spec?id=0652ad3fb090415dae5fb956972fe738f7738f09
[5] http://packages.debian.org/unstable/icc-profiles-free
[6] http://ftp-master.metadata.debian.org/changelogs/main/i/icc-profiles-free/unstable_copyright



-- 
 http://www.inventati.org/frx/frx-gpg-key-transition-2010.txt
 New GnuPG key, see the transition document!
..................................................... Francesco Poli .
 GnuPG key fpr == CA01 1147 9CD2 EFDF FB82  3925 3E1C 27E1 1F69 BFFE
[Message part 2 (application/pgp-signature, inline)]

Changed Bug forwarded-to-address to 'https://issues.apache.org/jira/browse/FOP-2025' from 'https://issues.apache.org/bugzilla/show_bug.cgi?id=52704' Request was from Emmanuel Bourg <ebourg@apache.org> to control@bugs.debian.org. (Wed, 26 Mar 2014 11:03:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#657281; Package fop. (Sat, 05 Apr 2014 18:06:17 GMT) Full text and rfc822 format available.

Acknowledgement sent to Aubrey Raech <aubrey@raech.net>:
Extra info received and forwarded to list. Copy sent to Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>. (Sat, 05 Apr 2014 18:06:18 GMT) Full text and rfc822 format available.

Message #106 received at 657281@bugs.debian.org (full text, mbox):

From: Aubrey Raech <aubrey@raech.net>
To: 657281@bugs.debian.org
Subject: Re: Bug#657281: sRGB Color Space Profile.icm
Date: Sat, 5 Apr 2014 10:58:08 -0700
As of now it looks like this DFSG violation in a package marked DFSG
is going unfixed and ignored when some patches have been proposed. Any
news on this? Is the only issue that somebody needs to buckle down and
actually submit the patch?  Because it's a major issue putting
non-free software in the main repo deliberately.

gNewSense appears to have fixed this bug:

https://savannah.nongnu.org/bugs/index.php?35790

gNewSense is Debian-based; perhaps the patch can be used for Debian's
package?

--Aubrey Raech



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#657281; Package fop. (Sun, 06 Apr 2014 00:51:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stuart Prescott <stuart@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>. (Sun, 06 Apr 2014 00:51:09 GMT) Full text and rfc822 format available.

Message #111 received at 657281@bugs.debian.org (full text, mbox):

From: Stuart Prescott <stuart@debian.org>
To: 657281@bugs.debian.org, Aubrey Raech <aubrey@raech.net>
Subject: Re: Bug#657281: sRGB Color Space Profile.icm
Date: Sun, 6 Apr 2014 10:45:49 +1000
Hi Aubrey,

> gNewSense appears to have fixed this bug:
> 
> https://savannah.nongnu.org/bugs/index.php?35790
> 
> gNewSense is Debian-based; perhaps the patch can be used for Debian's
> package?

they've just removed that file from the package and that's certainly step 1 of 
fixing this problem (assuming that other negotiations to relicense the file come 
to nothing). Step 2 is to provide replacement functionality and step 3 is to 
actually test that it works. My memory from discussing this with gnewsense 
people is that they have only done step 1 here.

Stuart

-- 
Stuart Prescott    http://www.nanonanonano.net/   stuart@nanonanonano.net
Debian Developer   http://www.debian.org/         stuart@debian.org
GPG fingerprint    90E2 D2C1 AD14 6A1B 7EBB 891D BBC1 7EBB 1396 F2F7



Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 01:09:16 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.